<?php
/*
Plugin Name: Codup Woo Loyalty
Plugin URI:  @TODO insert plugin URL
Description: Provides loyalty features for WooCommerce.
Version:     1.2.1.7
Author:      codup.io
Author URI:  http://codup.io/
License:     GPL2
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: coudp_woo_loyalty
Domain Path: /languages
WC requires at least: 3.0
WC tested up to: 3.7
*/

// prevent direct access
if (!defined('ABSPATH')) exit;

/**
 * Check if WooCommerce plugin is active
 */
if (getenv('WP_TESTS_DIR') || in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins'))))
{
    define('CWL_NAME', 'Codup Woo Loyalty');
    define('CWL_VERSION', '1.1.1.4');
    define('CWL_SLUG', 'codup_woo_loyalty');
    define('CWL_PLUGIN_DIR', __DIR__);
    define('CWL_PLUGIN_DIR_URL', plugin_dir_url(__FILE__));
    define('CWL_PLUGIN_BASENAME', plugin_basename(__FILE__));

    /*
     * Inclide local dependencies.
     */
    include(CWL_PLUGIN_DIR.'/includes/class.codup-woo-loyalty-points.php');
    include(CWL_PLUGIN_DIR.'/includes/class.codup-woo-loyalty-tiers.php');
    include(CWL_PLUGIN_DIR.'/includes/class.codup-woo-loyalty.php');
    include(CWL_PLUGIN_DIR.'/includes/class.codup-woo-loyalty-tiers-fields.php');
    include(CWL_PLUGIN_DIR.'/includes/class.codup-woo-loyalty-validator.php');
    include(CWL_PLUGIN_DIR.'/includes/class.codup-woo-loyalty-admin.php');
    if (!class_exists('CodupAds'))
    {
        include(CWL_PLUGIN_DIR.'/lib/codupads/codupads.php');
    }
    new CodupAds();

    /**
     * Create plugin administration if user is admin.
     */
    if(getenv('WP_TESTS_DIR') || is_admin())
    {
        $cwlAdmin = new CodupWooLoyaltyAdmin();
        $cwlAdmin->hookIntoWP();
    }
    
    $cwl = new CodupWooLoyalty();
    $cwl->hookIntoWP();
}