<?php

/**
 * Field type for WooCommerce settings page to enter tier types.
 * 
 * Globals defined in codup-woo-loyalty.php:
 * @global string CWL_SLUG contains a string ID for this plugin.
 * @global string CWL_PLUGIN_DIR the path to this plugins directory.
 * 
 */
class CodupWooLoyaltyTiersFields 
{
    const FIELD_TYPE = 'cwl_tier';
    const FIELD_HEADER_TYPE = 'cwl_tier_header';
    const FIELD_FOOTER_TYPE = 'cwl_tier_footer';
    
    public static $counter = 0;
    /**
     * Hooks into WC to to be able to parse the cwl_tier field type.
     */
    public function hookIntoWP()
    {
        add_action('woocommerce_admin_field_'.self::FIELD_TYPE, array($this, 'outputField'));
        add_action('woocommerce_admin_field_'.self::FIELD_HEADER_TYPE, array($this, 'outputHeader'));
        add_action('woocommerce_admin_field_'.self::FIELD_FOOTER_TYPE, array($this, 'outputFooter'));
    }
    
    /**
     * Outputs the field based on WC templates.
     * @param mixed[] $fieldConfig
     */
    public function outputField($fieldConfig)
    {
        include(CWL_PLUGIN_DIR.'/includes/templates/tiers-fields.php');
    }
    
    /**
     * Outputs the header row for tier fields.
     * @param mixed[] $fieldConfig
     */
    public function outputHeader($fieldConfig)
    {
        include(CWL_PLUGIN_DIR.'/includes/templates/tiers-fields-header.php');
    }
    
    /**
     * Outputs the row that generates new input rows.
     * @param mixed[] $fieldConfig
     */
    public function outputFooter($fieldConfig)
    {
        include(CWL_PLUGIN_DIR.'/includes/templates/tiers-fields-footer.php');
    }
}
