<?php

/**
 * Manages tiers for the CWL plugins.
 */
class CodupWooLoyaltyTiers 
{
    /**
     * Return thes tiers set up in the admin panel.
     * @return array
     */
    public function getTiers()
    {
		global $woocommerce;
        $items = $woocommerce->cart;
        
        if($items != NULL)
        {
            $total_tier_value['general'] = get_option(CodupWooLoyalty::OPT_DISCOUNT_TIERS, true);
            foreach( $items->get_cart() as $item => $cart_item )     //_________SPRINT 2 :support category specific discount_______________________??
            {        
                $product_id = $cart_item['product_id'];
                $category_id = wp_get_post_terms($product_id, 'product_cat',array('fields'=>'ids'));

                $total_tier_value[$product_id]['term_meta'] = get_term_meta($category_id[0],'wc_settings_tab_codup_woo_loyalty_category_discount_tiers',true);
                $total_tier_value[$product_id]['post_meta'] = get_post_meta($product_id,'wc_settings_tab_codup_woo_loyalty_product_discount_tiers',true);                
            }
        }
        return $total_tier_value;
    }
    
    /**
     * Get the discount, in percent, a specific user has earned.
     * @param int $userId
     * @return int percent discount
     */
    public function getUserTierDiscount($userId)
    {
        $userSpent = $this->getUserHasSpentInDiscountLifespan($userId);
        $tiers = $this->getTiers();
        $totalTiers = 0;
        
        foreach($tiers as $tier => $values)
        {
            if($tier == 'general')
            {
                foreach($values as $per_value){
                    if($userSpent >= $per_value['from'] && $userSpent <= $per_value['to'])
                    {
                        $totalTiers += $per_value['discount'];
                    }  
                }
            }
            else 
            {
                foreach($values as $key => $value)
                {
                    
                    if($key == 'term_meta' && !empty($value))
                    {
                        foreach($value as $per_value){
                            if(isset($per_value['from']) && isset($per_value['to']) && isset($per_value['discount'])){
                                if($userSpent >= $per_value['from'] && $userSpent <= $per_value['to'])
                                {
                                    $totalTiers += $per_value['discount'];
                                }   
                            }
                        }  
                    }
                    elseif($key == 'post_meta' && !empty($value))
                    {
                        foreach($value as $per_value){
                            if(isset($per_value['from']) && isset($per_value['to']) && isset($per_value['discount'])){
                                if($userSpent >= $per_value['from'] && $userSpent <= $per_value['to'])
                                {
                                    $totalTiers += $per_value['discount'];
                                }   
                            }
                        }
                    }
                }
            }
            
        }

        if($totalTiers>100)
        {
            $totalTiers = 100;
        }
        return $totalTiers;
    }
    
    /**
     * Get the total amount of money the user has spent in the discount lifespan timeframe.
     * @param int $userId
     * @return float
     */
    public function getUserHasSpentInDiscountLifespan($userId)
    {
        $discountLifespanDays = intval(get_option(CodupWooLoyalty::OPT_DISCOUNT_LIFESPAN)); 
        
        $queryArgs = array(
            'numberposts' => -1,
            'meta_key'    => '_customer_user',
            'meta_value'  => $userId,
            'post_type'   => array('shop_order'),
            'post_status' => array('wc-completed')
        );
        if($discountLifespanDays !== 0)
        {
            $queryArgs['date_query'] = array(
                'after' => date('Y-m-d', strtotime('-'.$discountLifespanDays.' days'))
            );
        }
        
        $customerOrders = get_posts($queryArgs);

        $total = 0;
        foreach ($customerOrders as $customerOrder) 
        {
            $order = wc_get_order($customerOrder);
            $total += $order->get_total();
        }

        return $total;
    }
}