<?php

/*
 * Template for displaying the point spending input on the checkout page.
 */

/* @var $this CodupWooLoyalty */
/* @var $userPoints int */
/* @var $maxAllowed int */
/* @var $pointDiscountValue float */
/* @var $spendingNow int */


// prevent direct access
if (!defined('ABSPATH')) exit;

$extraAttrs = '';

if(is_cart()){
    $extraAttrs = 'colspan="6"';
} ?>
<tr class="cwl-spend-points">
    <td class="actions" <?php echo $extraAttrs; ?>>
        <label for="cwl_spend_points">
            <?php _e('Spend points', CWL_SLUG); ?>
        </label>
        
        <input type="number" min="0" max="<?php echo $maxAllowed; ?>" 
                id="cwl_spend_points" name="cwl_spend_points"
                value="<?php echo $spendingNow; ?>" class="input-text" 
                placeholder="<?php _e('Spend points', CWL_SLUG); ?>" />
        
        <div class="cwl-spend-points-description"><?php
            printf(__('Total point(s): %s', CWL_SLUG), $userPoints);
            if(is_cart()){
                echo '<br/>';
            }
            printf(__('(1 point = %s, max %d point(s))', CWL_SLUG), wc_price($pointDiscountValue), $maxAllowed); ?>
        </div>
    </td><?php 
    if(is_checkout()){ ?>
        <td>
            <input type="button" class="button cwl-update-button" value="Update" />
        </td><?php
    } ?>
</tr>