<?php

/*
 * Template for the tier entry. Based on the WooCommerce file class-wc-admin-settings.php.
 * 
 * @var $this CodupWooLoyaltyTiersFields
 * @var $fieldConfig string[] 
 */

// prevent direct access
if (!defined('ABSPATH')) exit;

$custom_attributes = array();
if (!empty($fieldConfig['custom_attributes']) && is_array($fieldConfig['custom_attributes'])){
    foreach ($fieldConfig['custom_attributes'] as $attribute => $attribute_value){
        $custom_attributes[] = esc_attr($attribute).'="'.esc_attr( $attribute_value ).'"';
    }
}

$field_description = WC_Admin_Settings::get_field_description($fieldConfig);
extract($field_description);

foreach($fieldConfig['tiers'] as $index => $tier){
    $value = $tier; ?>

    <tr valign="top" class="cwl-tier-row">
        <th scope="row" class="titledesc" style="width: 600px;">
            <label for="<?php echo esc_attr($fieldConfig['id']); ?>">
                <?php echo esc_html(sprintf($fieldConfig['title'], $index+1));?>
            </label>
            <?php echo $tooltip_html; ?>
        </th>
        <td class="forminp forminp-<?php echo sanitize_title($fieldConfig['type']) ?> input-column">
            <input
                name="<?php echo esc_attr($fieldConfig['id']); ?>[<?php echo $index; ?>][from]"
                type="text"
                dir="ltr"
                style="<?php echo esc_attr($fieldConfig['css']);?>width: 120px;"
                class="<?php echo esc_attr($fieldConfig['class']); ?>"
                value="<?php echo esc_attr($value['from']); ?>"
                <?php echo implode(' ', $custom_attributes); ?>
                />
        </td>
        <td class="forminp forminp-<?php echo sanitize_title($fieldConfig['type']) ?> input-column">
            <input
                name="<?php echo esc_attr($fieldConfig['id']); ?>[<?php echo $index; ?>][to]"
                type="text"
                dir="ltr"
                style="<?php echo esc_attr($fieldConfig['css']); ?>width: 120px;"
                class="<?php echo esc_attr($fieldConfig['class']); ?>"
                value="<?php echo esc_attr($value['to']); ?>"
                <?php echo implode(' ', $custom_attributes); ?>
                />
        </td>
        <td class="forminp forminp-<?php echo sanitize_title($fieldConfig['type']) ?> input-column">
            <input
                name="<?php echo esc_attr($fieldConfig['id']); ?>[<?php echo $index; ?>][discount]"
                type="text"
                dir="ltr"
                style="<?php echo esc_attr($fieldConfig['css']); ?>width: 120px;"
                class="<?php echo esc_attr($fieldConfig['class']); ?>"
                value="<?php echo esc_attr($value['discount']); ?>"
                <?php echo implode(' ', $custom_attributes); ?>
                />
        </td>
        <td>
            <span class="dashicons dashicons-no-alt remove-tier" title="Remove tier"></span>
        </td>
        <td>
            &lrm;
            <?php echo $description; ?>
            &lrm;
        </td>
    </tr> <?php
}